summaryrefslogtreecommitdiff
path: root/tests/rm/deep-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
committerJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
commitc175e3f6c86206b676658c181556fc9b15f25f88 (patch)
tree45cb44e1b2b772d4253ca1c0d879281249625757 /tests/rm/deep-1
parent73f2d110077745a8f4c297c26e3c8310f2251780 (diff)
downloadcoreutils-c175e3f6c86206b676658c181556fc9b15f25f88.tar.xz
update framework
Diffstat (limited to 'tests/rm/deep-1')
-rwxr-xr-xtests/rm/deep-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/deep-1 b/tests/rm/deep-1
index fc000f2ca..21702ad0e 100755
--- a/tests/rm/deep-1
+++ b/tests/rm/deep-1
@@ -13,8 +13,8 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
umask 022